#ifndef PACKET_H_
#define PACKET_H_

#include <stdint.h>

typedef struct
{
	uint8_t bit_duration;
	uint8_t length;
	uint8_t data[32];
	uint8_t repeat_count;
	uint8_t repeat_delay;
	uint8_t final_delay;
	uint8_t trigger_position;
	uint8_t trigger_value;
} OutputPacket;

void output_init(void);
OutputPacket *output_create_packet(void);
OutputPacket *output_create_chained_packet(void);
void output_send_packet(void);
uint8_t output_get_trigger(void);
void output_set_power(uint8_t);
uint8_t output_is_power_on();
uint8_t output_command(const uint8_t *, uint8_t);

#endif
